using System;
using System.Collections.Generic;
using System.Text;

namespace Example_4_2
{
  class Pizza
  {
    public String PizzaSize;
    public String PizzaCrust;
    public String PizzaWhere;
    public String[] PizzaTopping = new String[6];

    public Pizza()
    {
      this.PizzaSize = "Small";
      this.PizzaCrust = "Thin Crust";
      this.PizzaWhere = "Eat In";
      this.PizzaTopping[0] = "";
      this.PizzaTopping[1] = "";
      this.PizzaTopping[2] = "";
      this.PizzaTopping[3] = "";
      this.PizzaTopping[4] = "";
      this.PizzaTopping[5] = "";
    }

    public String DescribePizza()
    {
      String s;
      // This procedure builds a string that describes the pizza
      s = this.PizzaWhere + "\r\n";
      s += this.PizzaSize + " Pizza\r\n";
      s += this.PizzaCrust + "\r\n";
      // Check each topping using the array we set up
      for (int i = 0; i < 6; i++)
      {
        if (!this.PizzaTopping[i].Equals(""))
        {
          s += this.PizzaTopping[i] + "\r\n";
        }
      }
      return (s);
    }
  }
}
