using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Text;
using System.Windows.Forms;

namespace Example_5_2
{
  public partial class frmTemp : Form
  {
    public frmTemp()
    {
      InitializeComponent();
    }

    bool isHot;

    private void hsbTemp_Scroll(object sender, ScrollEventArgs e)
    {
      double tempF, tempC;
      // Read F and convert to C - divide by 10 needed since Value is tenths of degrees
      tempF = Convert.ToDouble(hsbTemp.Value) / 10;
      // check to see if changed from hot to cold or vice versa
      if (isHot && tempF < 70)
      {
        // changed to cold
        isHot = false;
        lblBlue.BringToFront();
        hsbTemp.BringToFront();
      }
      else if (!isHot && tempF >= 70)
      {
        // changed to hot
        isHot = true;
        lblRed.BringToFront();
        hsbTemp.BringToFront();
      }
      txtTempF.Text = String.Format("{0:f1}", tempF);
      tempC = (tempF - 32) * 5 / 9;
      txtTempC.Text = String.Format("{0:f1}", tempC);

    }
  }
}